/**
 * 自定义过滤器
 */

  // 发布状态
  function publishStatus(val){
    switch (val) {
      case 0:
        return '草稿箱'
      case 1:
        return '待审核'
      case 2:
        return '已拒绝'
      case 3:
        return '发布中'
      case 4:
        return '已下架'
      case 5:
        return '已过期'        
    }
  }
  // 运单状态
  function wayBillStatus(val){
    switch (val) {
      case 'CREATED':
        return '已创建'
      case 'AT_ORIGIN':
        return '司机到达装货物地'
      case 'IN_TRANSIT':
        return '运输中'
      case 'AT_DESTINATION':
        return '司机到达卸货地'
      case 'FINISHED':
        return '运单结束'
      case 'CANCELLED':
        return '已取消'
    }
  }

  //车牌颜色
  function plateColorFilter(val){
    switch (val) {
      case "1":
        return '蓝色'
      case "2":
        return '黄色'
      case "3":
        return '黄绿色'      
    }
  }
export{
  wayBillStatus,publishStatus,plateColorFilter
}

